Subject: [karp] I-D ACTION:draft-ietf-karp-design-guide-02.txt

From: [email-masked]
Date: Mon, 07 Mar 2011 18:00:04 -0800

A new Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Keying and Authentication for Routing Protocols Working Group of the IETF.

    Title         : Keying and Authentication for Routing Protocols (KARP) 
Design Guidelines
    Author(s)     : G. Lebovitz, et al
    Filename      : draft-ietf-karp-design-guide-02.txt
    Pages         : 28
    Date          : 2011-03-07
    
In the March of 2006 the IAB held a workshop on the topic of 
      "Unwanted Internet Traffic".  The report from that workshop is 
      documented in RFC 4948 [RFC4948]. Section 8.2 of RFC 4948 calls 
      for [t]ightening the security of the core routing 
      infrastructure."  Four main steps were identified for improving 
      the security of the routing infrastructure.  One of those steps 
      was "securing the routing protocols' packets on the wire."  One 
      mechanism for securing routing protocol packets on the wire is 
      the use of per-packet cryptographic message authentication, 
      providing both peer authentication and message integrity.  Many 
      different routing protocols exist and they employ a range of 
      different transport subsystems.  Therefore there must 
      necessarily be various methods defined for applying 
      cryptographic authentication to these varying protocols.  Many 
      routing protocols already have some method for accomplishing 
      cryptographic message authentication.  However, in many cases 
      the existing methods are dated, vulnerable to attack, and/or 
      employ cryptographic algorithms that have been deprecated.  
      This document is one of a series concerned with defining a 
      roadmap of protocol specification work for the use of modern 
      cryptographic mechanisms and algorithms for message 
      authentication in routing protocols.  In particular, it defines 
      the framework for a key management protocol that may be used to 
      create and manage session keys for message authentication and 
      integrity.  The overall roadmap reflects the input of both the 
      security area and routing area in order to form a jointly 
      agreed upon and prioritized work list for the effort. 

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-karp-design-guide-02.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Mahesh Jethanandani <[email-masked]>
Date: Mon, 07 Mar 2011 18:20:09 -0800

I suggested this nit in the draft and I do not see that it has been 
updated in this version of the draft.

---------------------------------------------------------------------------

A nit.

The draft says:

> BGP [RFC4271  <http://tools.ietf.org/html/rfc4271>] and MSDP [RFC3618  <http://tools.ietf.org/html/rfc3618>] are transmitted
>           over TCP, while LDP [RFC5036  <http://tools.ietf.org/html/rfc5036>] uses UDP.
and

> However, this cannot be used for LDP as LDP runs over UDP.
While it is true that the hello discovery process for LDP runs over UDP, 
the actual LDP protocol runs over TCP.

On 3/7/11 6:00 PM, [email-masked] wrote:
> _______________________________________________
> karp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/karp

-- 

*Mahesh Jethanandani*
*Technical Leader*
**ERBU*
*
[email-masked] <mailto:[email-masked]>
Phone :*+1 408 527-8230*
Fax :*+1 408 853-0762*

**
170 West Tasman Drive
San Jose, CA 95070
United States
www.cisco.com <http://www.cisco.com>

This e-mail may contain confidential and privileged material for the 
sole use of the intended recipient. Any review, use, distribution or 
disclosure by others is strictly prohibited. If you are not the intended 
recipient (or authorized to receive for the recipient), please contact 
the sender by reply e-mail and delete all copies of this message.

---

From: "Bhatia, Manav (Manav)" <[email-masked]>
Date: Tue, 8 Mar 2011 07:55:59 +0530

Hi Mahesh,

I am sorry, i missed this. Will update this in the next version. The draft was only revised to prevent it from expiring.

Cheers, Manav

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Mahesh Jethanandani
Sent: Tuesday, March 08, 2011 7.50 AM
To: [email-masked]
Subject: Re: [karp] I-D ACTION:draft-ietf-karp-design-guide-02.txt

I suggested this nit in the draft and I do not see that it has been updated in this version of the draft.

A nit.

The draft says:

BGP [RFC4271<http://tools.ietf.org/html/rfc4271>] and MSDP [RFC3618<http://tools.ietf.org/html/rfc3618>] are transmitted
         over TCP, while LDP [RFC5036<http://tools.ietf.org/html/rfc5036>] uses UDP.

and

While it is true that the hello discovery process for LDP runs over UDP, the actual LDP protocol runs over TCP.

On 3/7/11 6:00 PM, [email-masked]<mailto:[email-masked]> wrote:

_______________________________________________
karp mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/karp

--

Mahesh Jethanandani
Technical Leader
ERBU

[email-masked]<mailto:[email-masked]>
Phone :+1 408 527-8230
Fax :+1 408 853-0762

170 West Tasman Drive
San Jose, CA 95070
United States
www.cisco.com<http://www.cisco.com>

This e-mail may contain confidential and privileged material for the sole use of the intended recipient. Any review, use, distribution or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive for the recipient), please contact the sender by reply e-mail and delete all copies of this message.